# ServerDialog Class Reference

Dialog to edit account options. You can not create a new account or edit the account name. More...

`#include <serverdialog.h>`

List of all members.

## Public Member Functions

| ServerDialog (TQWidget *parent, ConfigElem *item=NULL)
| ~ServerDialog ()

## Protected Slots

void | slotPasswordStorageChanged (int id)
void | slotSecureTransferChanged (int id)
void | slotOk ()

## Protected Member Functions

void | fillDialog ()

## Private Attributes

ConfigElem * | account
KLineEdit * | txtAccount
KLineEdit * | txtServer
KComboBox * | cboProtocol
TQSpinBox * | spbPort
KLineEdit * | txtUser
KPasswordEdit * | txtPassword
TQCheckBox * | chkActive
TQButtonGroup * | grpPasswordStorage
TQButtonGroup * | grpSecureTransfer

## Detailed Description

Dialog to edit account options. You can not create a new account or edit the account name.

Author:
  Eggert Ehmke

  Ulrich Weigelt <ulrich.weigelt@gmx.de>

## Constructor & Destructor Documentation

ServerDialog::ServerDialog | ( | TQWidget * | parent,
|  | ConfigElem * | item = `NULL` |
| ) |  |  |

General constructor

Parameters:

  | parent | parent of the dialog
  | item | account to setup

ServerDialog::~ServerDialog | ( |  | ) |

Destructor

## Member Function Documentation

void ServerDialog::slotPasswordStorageChanged | ( | int | id | ) | `[protected, slot]`

Connected with the password button group. Enabled or disabled the password edit line.

Parameters:

  | id | button identifier

void ServerDialog::slotSecureTransferChanged | ( | int | id | ) | `[protected, slot]`

Connected with the secure transfer button group. Changes the port number.

Parameters:

  | id | button identifier

void ServerDialog::slotOk | ( |  | ) | `[protected, slot]`

Overwritten methode of KDialogBase. Called if OK was clicked. Stores the entered values into the given account item. If no item was given, it creates a new one. After then it invokes slotOk() of KDialogBase.

void ServerDialog::fillDialog | ( |  | ) | `[protected]`

Writes the values of the account into the dialog items.

## Member Data Documentation

ConfigElem* ServerDialog::account `[private]`

account to setup

KLineEdit* ServerDialog::txtAccount `[private]`

Edit line which contains the unique account name.

KLineEdit* ServerDialog::txtServer `[private]`

Edit line which contains the server name.

KComboBox* ServerDialog::cboProtocol `[private]`

Combo box to choose the protocol.

TQSpinBox* ServerDialog::spbPort `[private]`

Spinbox to choose the tcp port.

KLineEdit* ServerDialog::txtUser `[private]`

Edit line which contains the user name.

KPasswordEdit* ServerDialog::txtPassword `[private]`

Edit line which contains the password.

TQCheckBox* ServerDialog::chkActive `[private]`

Check box to select whether the account is active or not.

TQButtonGroup* ServerDialog::grpPasswordStorage `[private]`

Combines the radio buttons of password storage.

TQButtonGroup* ServerDialog::grpSecureTransfer `[private]`

Combines the radio buttons of secure transfer.

The documentation for this class was generated from the following files:

- Daten/Documents/programmieren/kshowmail/kshowmail/kshowmail/serverdialog.h
- Daten/Documents/programmieren/kshowmail/kshowmail/kshowmail/serverdialog.cpp